Bug 17993 - Do not use modal authentication with CAS
Summary: Do not use modal authentication with CAS
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12046
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-25 13:17 UTC by Fridolin SOMERS
Modified: 2017-12-07 22:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17993 - Do not use modal authentication with CAS - lists (2.46 KB, patch)
2017-01-25 13:49 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - tags (2.26 KB, patch)
2017-01-25 13:49 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - lists (2.51 KB, patch)
2017-02-01 05:12 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - tags (2.31 KB, patch)
2017-02-01 05:12 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - tags bis (2.24 KB, patch)
2017-03-27 13:21 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17993 - Do not use modal authentication with CAS - tags bis (2.31 KB, patch)
2017-04-18 14:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - lists (2.55 KB, patch)
2017-04-28 20:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - tags (2.37 KB, patch)
2017-04-28 20:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17993 - Do not use modal authentication with CAS - tags bis (2.35 KB, patch)
2017-04-28 20:05 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2017-01-25 13:17:37 UTC
Bug 12046 corrected the fact that modal dialog does not allow to use the CAS authentication in main authentication link.
This must also be corrected in other links leading to authentication like for lists and tags.
Comment 1 Fridolin SOMERS 2017-01-25 13:49:34 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2017-01-25 13:49:45 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2017-02-01 05:12:04 UTC
Created attachment 59719 [details] [review]
Bug 17993 - Do not use modal authentication with CAS - lists

Bug 12046 corrected the fact that modal dialog does not allow to use the CAS authentication in main authentication link.
This must also be corrected in link of lists popup : "Log in to create your own lists"

Test plan :
- Enable syspref casAuthentication
- Go to OPAC
- Click on Lists > Log in to create your own lists
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 M. Tompsett 2017-02-01 05:12:09 UTC
Created attachment 59720 [details] [review]
Bug 17993 - Do not use modal authentication with CAS - tags

Bug 12046 corrected the fact that modal dialog does not allow to use the CAS authentication in main authentication link.
This must also be corrected in link for tags in detail page : "Log in to add tags"

Test plan :
- Enable syspref casAuthentication
- Go to OPAC
- Go to a record detail page opac-detail.pl
- Click on "Log in to add tags"
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 M. Tompsett 2017-02-01 05:13:17 UTC
Missed a spot: opac-tags.pl
Is that fixed elsewhere, or should it be fixed here?
Comment 6 Fridolin SOMERS 2017-03-27 12:11:33 UTC
(In reply to M. Tompsett from comment #5)
> Missed a spot: opac-tags.pl
> Is that fixed elsewhere, or should it be fixed here?

Indeed, I'll fix this
Comment 7 Fridolin SOMERS 2017-03-27 13:21:49 UTC
Created attachment 61642 [details] [review]
Bug 17993 - Do not use modal authentication with CAS - tags bis

Bug 12046 corrected the fact that modal dialog does not allow to use the CAS authentication in main authentication link.
This must also be corrected in link for tags in detail tags page : "Log in to see your own saved tags."

Test plan :
- Enable syspref casAuthentication
- Go to OPAC, not authenticated
- Click on "Tag cloud"
- Click on "Log in to see your own saved tags"
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl
Comment 8 Fridolin SOMERS 2017-03-27 13:22:51 UTC
"tags bis" needs sign off.

Mark, thanks a lot for your help.
Comment 9 Owen Leonard 2017-04-18 14:09:48 UTC
Created attachment 62296 [details] [review]
[SIGNED-OFF] Bug 17993 - Do not use modal authentication with CAS - tags bis

Bug 12046 corrected the fact that modal dialog does not allow to use the
CAS authentication in main authentication link. This must also be
corrected in link for tags in detail tags page: "Log in to see your own
saved tags."

Test plan :
- Enable syspref casAuthentication
- Go to OPAC, not authenticated
- Click on "Tag cloud"
- Click on "Log in to see your own saved tags"
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Nick Clemens 2017-04-28 20:05:19 UTC
Created attachment 62867 [details] [review]
Bug 17993 - Do not use modal authentication with CAS - lists

Bug 12046 corrected the fact that modal dialog does not allow to use the CAS authentication in main authentication link.
This must also be corrected in link of lists popup : "Log in to create your own lists"

Test plan :
- Enable syspref casAuthentication
- Go to OPAC
- Click on Lists > Log in to create your own lists
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Nick Clemens 2017-04-28 20:05:22 UTC
Created attachment 62868 [details] [review]
Bug 17993 - Do not use modal authentication with CAS - tags

Bug 12046 corrected the fact that modal dialog does not allow to use the CAS authentication in main authentication link.
This must also be corrected in link for tags in detail page : "Log in to add tags"

Test plan :
- Enable syspref casAuthentication
- Go to OPAC
- Go to a record detail page opac-detail.pl
- Click on "Log in to add tags"
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Nick Clemens 2017-04-28 20:05:25 UTC
Created attachment 62869 [details] [review]
Bug 17993 - Do not use modal authentication with CAS - tags bis

Bug 12046 corrected the fact that modal dialog does not allow to use the
CAS authentication in main authentication link. This must also be
corrected in link for tags in detail tags page: "Log in to see your own
saved tags."

Test plan :
- Enable syspref casAuthentication
- Go to OPAC, not authenticated
- Click on "Tag cloud"
- Click on "Log in to see your own saved tags"
=> Without patch you get the modal login popup
=> With patch you go to the login page opac-user.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 13 Kyle M Hall 2017-05-08 13:02:35 UTC
Pushed to master for 17.05, thanks Frido!
Comment 14 Katrin Fischer 2017-05-13 12:50:52 UTC
These patches have been pushed to 16.11.x and will be in 16.11.08.
Comment 15 Mason James 2017-05-24 02:12:58 UTC
Pushed to 16.05.x, for 16.05.13 release